package com.bocloud.nms.model.campus;

public class DeviceServiceModel {

    private Long deviceId; // 设备 ID。
    private Integer serviceBit; // 服务位。
    private String name; // 名称。
    private Integer port; // 端口。
    private Integer type; // 类型。 0：不监视，1：TCP，2：UDP。
    private Integer status; // 服务的运行状态。 0：不运行，1：运行。

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getServiceBit() {
        return serviceBit;
    }

    public void setServiceBit(Integer serviceBit) {
        this.serviceBit = serviceBit;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
